package _02_作业;

import java.util.Scanner;

public class Test {
    public static void main(String[] args) {
        /**
         * 要在控制台当中录入一个整数x
         * 需求：给你一个整数 x 。
         * 如果 x 是一个回文整数，打印 true ，否则，返回 false 。
         *
         * 解释：回文数是指正序（从左向右）和倒序（从右向左）读都是一样的整数。
         * 例如，121 是回文，而 123 不是。
         * 1223221    121    123    1334331
         *
         * 思路:  正序和倒序相同就是一个回文数
         * 正序: 我们录入数字
         * 倒序: 一个个去拿
         *
         * 123
         *
         * 1 通过录入一个整数数字
         * 2 定义一个回文数  reverse = 0
         * 3 循环(x != 0)
         *
         *     个位  = 录入的x % 10        个位 = 3    个位=2    个位=1
         *     reverse = reverse *  10 + 个位      reverse = 3     32     321
         *     x = x / 10                 x = 12     x=1     x=0
         */
        Scanner scanner = new Scanner(System.in);
        System.out.println("请录入一个整数");
        int x = scanner.nextInt();

        int reverse = 0;

        int temp =  x;

        while (x !=0){
            // 求个位
            int dig = x % 10;
            // 计算回文数
            reverse =  reverse * 10 + dig;
            // 处于10 拿到剩余数字121   12
            x = x / 10;
        }
        System.out.println(reverse);
        System.out.println(x);
        if(reverse == temp){
            System.out.println("这是一个回文数");
        }else{
            System.out.println("这不是一个回文数");
        }
    }
}
